For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
      • GETList Form Submissions
      • GETList Form Submissions by Site
      • GETGet Form Submission
      • PATCHUpdate Form Submission
      • DELDelete Form Submission
  • Custom Code
  • Assets
  • Custom fonts
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
FormsForm submissions

Get Form Submission

GET
https://api.webflow.com/v2/sites/:site_id/form_submissions/:form_submission_id
GET
/v2/sites/:site_id/form_submissions/:form_submission_id
$curl https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/form_submissions/580e63e98c9a982ac9b8b741 \
> -H "Authorization: Bearer <token>"
1{
2 "id": "6321ca84df3949bfc6752327",
3 "displayName": "Sample Form",
4 "siteId": "62749158efef318abc8d5a0f",
5 "workspaceId": "62749158efef318abc8d5a0f",
6 "dateSubmitted": "2022-09-14T12:35:16.117Z",
7 "formResponse": {
8 "First Name": "Arthur",
9 "Last Name": "Dent"
10 },
11 "localeId": "6a0cb90f3ecc9d3d47ca8b5b",
12 "formId": "6321ca84df3949bfc6752327"
13}

Get information about a form submission within a specific site.

Required scope | forms:read

Was this page helpful?
Previous

Update Form Submission

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site
form_submission_idstringRequiredformat: "objectid"
Unique identifier for a Form Submission

Response

Request was successful
idstringformat: "objectid"
The unique ID of the Form submission
displayNamestring
The Form name displayed on the site
siteIdstringformat: "objectid"
The unique ID of the Site the Form belongs to
workspaceIdstringformat: "objectid"
The unique ID of the Workspace the Site belongs to
dateSubmittedstringformat: "date-time"
Date that the Form was submitted on
formResponseobject
The data submitted in the Form
localeIdstring or nullformat: "objectid"

The ID of the locale the form was submitted from. null for primary-locale submissions or sites without localization.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error